%global srcname reactive-streams-jvm

Name:           reactive-streams
Version:        1.0.3
Release:        %mkrel 1
Group:		Development/Java
Summary:        Reactive Streams Specification for the JVM
License:        CC0

URL:            https://github.com/reactive-streams/reactive-streams-jvm
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/org/reactivestreams/reactive-streams/%{version}/reactive-streams-%{version}.pom

BuildArch:      noarch

BuildRequires:  maven-local

%description
Reactive Streams is an initiative to provide a standard for
asynchronous stream processing with non-blocking back pressure.
This encompasses efforts aimed at run-time environments (JVM and
JavaScript) as well as network protocols.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{srcname}-%{version}

rm -rf gradle/

cp %{SOURCE1} api/pom.xml


%build
pushd api
%mvn_build
popd


%install
pushd api
%mvn_install
popd


%files -f api/.mfiles
%license COPYING LICENSE
%doc README.md RELEASE-NOTES.md

%files javadoc -f api/.mfiles-javadoc
%license COPYING LICENSE




%changelog
* Tue Jan 05 2021 neoclust <neoclust> 1.0.3-1.mga8
+ Revision: 1669103
- imported package reactive-streams


* Tue Sep 01 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3.

